Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » Export RCP (error when exporting RCP product)
Export RCP [message #1847300] Fri, 22 October 2021 08:42 Go to next message
Jose Vargas is currently offline Jose VargasFriend
Messages: 1
Registered: October 2021
Junior Member
In the latest Eclipse publications, the wizard that allows you to export an RCP application is giving multiple problems and is not working:

Example:

Install Eclipse IDE for RCP and RAP 2021-09
Java: OpenJDK 11


We create an RCP application (the classic one for mail) with your product configuration
From the Eclipse environment it works correctly and there is no problem

But when we try to deploy or export the product, it is giving us errors:

In some forums they comment that: "The Export RCP code is obsolete and no longer works well. tycho and maven is the only compatible way to create a CPR. "
Anyone know of any way to make RCP export work again?

ERRORS THAT GIVE WHEN EXPORTING

C:\workspace\eclipse-workspace\.metadata\.plugins\org.eclipse.pde.core\temp\org.eclipse.pde.container.feature\package.org.eclipse.pde.container.feature.win32.win32.x86_64.xml:89: The following error occurred while executing this line:
C:\workspace\eclipse-workspace\.metadata\.plugins\org.eclipse.pde.core\temp\org.eclipse.pde.container.feature\package.org.eclipse.pde.container.feature.win32.win32.x86_64.xml:766: The following error occurred while executing this line:
C:\workspace\eclipses\eclipse\plugins\org.eclipse.pde.build_3.11.0.v20210429-0618\scripts\genericTargets.xml:240: A problem occured while invoking the director.
The following error occurred while executing this line:
C:\workspace\eclipse-workspace\.metadata\.plugins\org.eclipse.pde.core\temp\org.eclipse.pde.container.feature\package.org.eclipse.pde.container.feature.win32.win32.x86_64.xml:766: The following error occurred while executing this line:
C:\workspace\eclipses\eclipse\plugins\org.eclipse.pde.build_3.11.0.v20210429-0618\scripts\genericTargets.xml:240: A problem occured while invoking the director.




Property "p2.director.log" has not been set
[p2.director] Installing taolocalProducto 1.0.0.202110210958.
[p2.director] Installation failed.
[p2.director] Cannot complete the install because one or more required items could not be found.
[p2.director] Software being installed: RCP Product 1.0.0.202110210958 (taolocalProducto 1.0.0.202110210958)
[p2.director] Missing requirement: Taolocal 1.0.0.202110210958 (taolocal 1.0.0.202110210958) requires 'osgi.ee; (&(osgi.ee=JavaSE)(version=16))' but it could not be found
[p2.director] Cannot satisfy dependency:
[p2.director] From: RCP Product 1.0.0.202110210958 (taolocalProducto 1.0.0.202110210958)
[p2.director] To: org.eclipse.equinox.p2.iu; taolocal [1.0.0.202110210958,1.0.0.202110210958]
[p2.director] Cannot complete the install because one or more required items could not be found.
[p2.director] Software being installed: RCP Product 1.0.0.202110210958 (taolocalProducto 1.0.0.202110210958)
[p2.director] Missing requirement: Taolocal 1.0.0.202110210958 (taolocal 1.0.0.202110210958) requires 'osgi.ee; (&(osgi.ee=JavaSE)(version=16))' but it could not be found
[p2.director] Cannot satisfy dependency:
A problem occured while invoking the director.
runDirector: duration 0 seconds



We are still looking for a solution to the problem of exporting RCP.

Thanks
Re: Export RCP [message #1849321 is a reply to message #1847300] Wed, 12 January 2022 20:52 Go to previous message
Wim Jongman is currently offline Wim JongmanFriend
Messages: 491
Registered: July 2009
Senior Member

You should read the logs. It cannot find a requirement Taolocal because that requires java 16

Missing requirement: Taolocal 1.0.0.202110210958 (taolocal 1.0.0.202110210958) requires 'osgi.ee; (&(osgi.ee=JavaSE)(version=16))' but it could not be found
[p2.director] Cannot satisfy dependency:
[p2.director] From: RCP Product 1.0.0.202110210958 (taolocalProducto 1.0.0.202110210958)
[p2.director] To: org.eclipse.equinox.p2.iu; taolocal [1.0.0.202110210958,1.0.0.202110210958]
[p2.director] Cannot complete the install because one or more required items could not be found.
[p2.director] Software being installed: RCP Product 1.0.0.202110210958 (taolocalProducto 1.0.0.202110210958)
[p2.director] Missing requirement: Taolocal 1.0.0.202110210958 (taolocal 1.0.0.202110210958) requires 'osgi.ee; (&(osgi.ee=JavaSE)(version=16))' but it could not be found
Previous Topic:RCP product with few options for creating new project
Next Topic:Ecliplse Plugin Development using JPMS
Goto Forum:
  


Current Time: Sun Jan 23 04:04:28 GMT 2022

Powered by FUDForum. Page generated in 0.05021 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top